﻿//Note that you need to add a reference to this application to your 
//Azure WCF service and call it GetCompleteAzureService for this code to compile.

using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using CompetitorDisplay.GetCompleteAzureService; 

namespace CompetitorDisplay
{
    public partial class MainPage : UserControl
    {
        List<Competitors> myCompetitors = new List<Competitors>();

        public MainPage()
        {
            InitializeComponent();

            this.Loaded += new RoutedEventHandler(MainPage_Loaded);

           
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            LoadAzureData();
        }

        private void LoadAzureData()
        {
            GetCompleteAzureService.Service1Client azureSvcProxy = new Service1Client();
            azureSvcProxy.getAllCompetitorsAsync();
            azureSvcProxy.getAllCompetitorsCompleted += new EventHandler<getAllCompetitorsCompletedEventArgs>(azureSvcProxy_getAllCompetitorsCompleted);
        }

        void azureSvcProxy_getAllCompetitorsCompleted(object sender, getAllCompetitorsCompletedEventArgs e)
        {
            var competeData = e.Result;
            foreach (var item in competeData)
            {
                Competitors tempRecord = new Competitors();
                tempRecord.competeID = item.svcCompeteID;
                tempRecord.competeName = item.svcCompeteName;
                tempRecord.competeFY09 = item.svcCompeteFY09;
                tempRecord.competeFY10 = item.svcCompeteFY10;
                myCompetitors.Add(tempRecord);
            }

            competeList.ItemsSource = myCompetitors;
        }

        private void MyAnimatedRectangle_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            myStoryboard.Begin();
        }

        private void btnTextAnimation_Click(object sender, RoutedEventArgs e)
        {
            TextBlock textAnimation = new TextBlock();
            textAnimation.Text = "Text";
            textAnimation.Foreground = new SolidColorBrush(Colors.Black);
            LayoutRoot.Children.Add(textAnimation);

            // add a new story board to fade out the text color   
            Storyboard moveStoryboard = new Storyboard();

            ColorAnimation colorAnimation = new ColorAnimation();
            colorAnimation.To = Colors.White;
            colorAnimation.Duration = new Duration(new TimeSpan(0, 0, 0, 0, 1));

            Storyboard.SetTarget(colorAnimation, textAnimation);
            Storyboard.SetTargetProperty(colorAnimation, new PropertyPath("(TextBlock.Foreground).(SolidColorBrush.Color)"));
            moveStoryboard.Children.Add(colorAnimation);
            moveStoryboard.Begin(); 
        }
    }
}
