﻿//Note that you need to add a reference to this application to your 
//Azure WCF service and call it GetCompleteAzureService for this code to compile.

using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.SharePoint.Client;
using CompetitorDisplayApp.GetCompeteAzureService;

namespace CompetitorDisplayApp
{
    public partial class MainPage : UserControl
    {
        public string SiteUrl { get; set; }

        List<Competitor> myCompetitors = new List<Competitor>();

        public MainPage()
        {
            InitializeComponent();

            this.Loaded += new RoutedEventHandler(MainPage_Loaded);
        }

        void MainPage_Loaded(object sender, RoutedEventArgs e)
        {
            LoadAzureData();
        }

        private void LoadAzureData()
        {
            GetCompeteAzureService.Service1Client azureSvcProxy = new Service1Client();
            azureSvcProxy.getAllCompetitorsAsync();
            azureSvcProxy.getAllCompetitorsCompleted += new EventHandler<getAllCompetitorsCompletedEventArgs>(azureSvcProxy_getAllCompetitorsCompleted);
        }

        void azureSvcProxy_getAllCompetitorsCompleted(object sender, getAllCompetitorsCompletedEventArgs e)
        {
            var competeData = e.Result;
            foreach (var item in competeData)
            {
                Competitor tempRecord = new Competitor();
                tempRecord.competeID = item.svcCompeteID;
                tempRecord.competeName = item.svcCompeteName;
                tempRecord.competeFY09 = item.svcCompeteFY09;
                tempRecord.competeFY10 = item.svcCompeteFY10;
                myCompetitors.Add(tempRecord);
            }

            competeList.ItemsSource = myCompetitors;
        }
    }
}
